import { ModelScope } from '../..//provider/chat-adapter/model-scope.ts';
import { log } from '../..//logger/index.ts';
import util from 'util';
import { config } from 'dotenv';
config();

const chat = new ModelScope({
  apiKey: process.env.MODEL_SCOPE_API_KEY,
  model: 'Qwen/Qwen2.5-Coder-32B-Instruct',
});

// chat.chat([{ role: 'user', content: 'Hello, world! 1 + 1 equals ?' }]);
const chatMessage = [{ role: 'user', content: 'Hello, world! 1 + 1 equals ?' }];

const main = async () => {
  const res = await chat.test();
  log.info('test', res);
};

main();
const mainChat = async () => {
  const res = await chat.chat(chatMessage as any);
  log.info('chat', res);
};

// mainChat();
