import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type OllamaOptions = BaseChatOptions;

/**
 * 自定义模型
 */
export class Custom extends BaseChat {
  static BASE_URL = 'https://api.deepseek.com/v1/';
  constructor(options: OllamaOptions) {
    const baseURL = options.baseURL || Custom.BASE_URL;
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
