import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type BailianOptions = Partial<BaseChatOptions>;
export class BailianChat extends BaseChat {
  static BASE_URL = 'https://bailian.aliyuncs.com/compatible-mode/v1/';
  constructor(options: BailianOptions) {
    const baseURL = options.baseURL || BailianChat.BASE_URL;
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
