import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type DeepSeekOptions = Partial<BaseChatOptions>;
export class DeepSeek extends BaseChat {
  static BASE_URL = 'https://api.deepseek.com/v1/';
  constructor(options: DeepSeekOptions) {
    const baseURL = options.baseURL || DeepSeek.BASE_URL;
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
