import { BaseChat, BaseChatOptions } from '../core/chat.ts';

export type VolcesOptions = Partial<BaseChatOptions>;
export class Volces extends BaseChat {
  static BASE_URL = 'https://ark.cn-beijing.volces.com/api/v3/';
  constructor(options: VolcesOptions) {
    const baseURL = options.baseURL || Volces.BASE_URL;
    super({ ...(options as BaseChatOptions), baseURL: baseURL });
  }
}
