import { knowledge } from '../common.ts';
import fs from 'node:fs';
import path from 'node:path';
import { fileURLToPath } from 'url';
import { dirname } from 'path';

const __filename = fileURLToPath(import.meta.url);
const __dirname = dirname(__filename);
// 包含： 9184 个汉字 953 个标点(全角) 2493 个字母 52 个数字
const content = fs.readFileSync(path.join(__dirname, 'qwen.md'), 'utf-8');
const text = 'Hello, world';
const main = async () => {
  const res = await knowledge.generateEmbeddingCore([content, content]);
  console.log(res);
  // 8000 tokens 大概1w个字 2万个字符
  console.log('speak', knowledge.getChatUsage());
};
main();
